# Get Feedback

## Get a list of feedbacks

> Supports filtering, sorting, and pagination via query string parameters.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5102-g2bf281b6"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/helpdesk/feedback":{"get":{"tags":["Feedback"],"summary":"Get a list of feedbacks","description":"Supports filtering, sorting, and pagination via query string parameters.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackListResponse"}}}}}}}},"components":{"schemas":{"FeedbackListResponse":{"type":"object","properties":{"$meta":{"allOf":[{"$ref":"#/components/schemas/ListMetadata"}]},"data":{"type":"array","items":{"$ref":"#/components/schemas/Feedback"}}},"additionalProperties":false},"ListMetadata":{"type":"object","properties":{"pagination":{"allOf":[{"$ref":"#/components/schemas/PaginationMetadata"}]},"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"PaginationMetadata":{"type":"object","properties":{"offset":{"type":"integer","format":"int32"},"limit":{"type":"integer","format":"int32"},"total":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"Feedback":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","description":"Gets or sets the description associated with the feedback.","nullable":true},"requester":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]},"account":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"status":{"allOf":[{"$ref":"#/components/schemas/FeedbackStatus"}],"description":"Gets or sets the status associated with the feedback."},"rating":{"type":"integer","description":"Gets or sets the rating associated with the feedback.","format":"int32","nullable":true},"notes":{"type":"string","description":"Gets or sets the notes associated with the feedback.","nullable":true},"internalNotes":{"type":"string","description":"Gets or sets the internal notes associated with the feedback.","nullable":true},"externalId":{"type":"string","description":"Gets or sets the externalId associated with the feedback.","nullable":true},"metaData":{"description":"Gets the metadata as a JSON document (read-only).","nullable":true},"attachments":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackAttachmentRef"},"description":"Represents the attachments associated with the feedback.","nullable":true}},"additionalProperties":false},"PlatformObjectAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"AccountRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"},"FeedbackStatus":{"enum":["Submitted","Reviewed","Deleted"],"type":"string"},"FeedbackAttachmentRef":{"type":"object","properties":{"id":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"feedback":{"allOf":[{"$ref":"#/components/schemas/Feedback"}],"description":"Represents the feedback this attachment belongs to."},"file":{"allOf":[{"$ref":"#/components/schemas/File"}],"description":"Represents the file this attachment belongs to."},"name":{"type":"string","description":"Represents the name this attachment."},"description":{"type":"string","description":"Represents the description this attachment.","nullable":true}},"additionalProperties":false},"File":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/FileType"}],"description":"Specifies the type of the file, such as attachment or icon"},"filename":{"type":"string","description":"Represents the name of the file associated with the attachment."},"size":{"type":"integer","description":"Indicates the size of the file in bytes.","format":"int64","nullable":true},"contentType":{"type":"string","description":"Represents the MIME type of the file content."}},"additionalProperties":false,"description":"Represents a file in the helpdesk module"},"FileType":{"enum":["Attachment","Icon","Image","Video"],"type":"string"}}}}
```
